Page MenuHomePhabricator

Can we search namespaces on wikitech?
Closed, DeclinedPublic

Description

Every few months I look for the wikitech page about how to create a new exec node by searching for the phrase 'Create a new node'. This should really bring up the page https://wikitech.wikimedia.org/wiki/Nova_Resource:Tools/Admin#Creating_a_new_node but I'm pretty sure that our search engine doesn't index things in <namespace>: pages which means lots of pages on the site are secret.

Is this a simple configuration issue or is this just a limitation of elasticsearch?

Related Objects

Event Timeline

Andrew created this task.May 19 2017, 9:51 AM
Restricted Application added a project: Cloud-Services. · View Herald TranscriptMay 19 2017, 9:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

From a quick conversation with @EBernhardson @dcausse, it sounds like wikitech search is already tuned in a few specific ways: Things under the "nova resource" namespace have lowered priority, and pages using instance/project/etc templates also have lowered priority. I am /pretty sure/ that the original 'nova resource' lowering was to avoid us finding instance pages in search, so we're going to try removing the rule about the 'nova resource' namespace and see if things shape up a bit.

Change 354474 had a related patch set uploaded (by DCausse; owner: DCausse):
[operations/mediawiki-config@master] [wikitech] Increase weight on Tool and Nova Resource ns

https://gerrit.wikimedia.org/r/354474

Andrew added a comment.Jun 1 2017, 5:40 PM

@dcausse nothing has changed on the actual wikitech, right? Because this is still pending the above patch? If so, I'm totally fine with merging the patch and seeing how things go. The updated test index seemed good to me.

@Andrew I now have mixed feeling about this patch, the problematic query (create a new host) now returns Portal:Tool Labs/Admin at #4. This is because (I think) some docs were moved from Nova Resources to Portal.
Now I fear that if we increase namespace weight on Nova Resources we start to move a bunch of uninteresting (and auto generated pages) to the top.
In short if you don't see any problems related to ranking of Nova Resources pages I'd be for abandoning the patch and declined this task.

Andrew closed this task as Declined.Jun 5 2017, 5:21 PM

ok, let's leave things as they are for now -- I'll re-open if I can find a good example where it's needed.

Change 354474 abandoned by DCausse:
[wikitech] Increase weight on Tool and Nova Resource ns

Reason:
not needed

https://gerrit.wikimedia.org/r/354474